Class | Locale::Tag::Posix
In: | lib/locale/tag/posix.rb
Parent: | Locale::Tag::Simple

Locale tag class for POSIX locale

- ja
- ja_JP
- ja_JP.UTF-8
- ja_JP.UTF-8@Osaka
- C/POSIX (-> en_US)

### Methods

candidates charset= modifier= new parse to_s

### Constants

LANGUAGE | = | "([a-z]{2,})"
TAG_RE | = | /\A#{LANGUAGE}(?:_#{REGION})?(?:\.([^@]+))?(?:@(.*))?\Z/i

### Attributes

charset | [R] |
modifier | [R] |

### Public Class methods

new(language, region = nil, charset = nil, modifier = nil)
parse(tag)

### Public Instance methods

candidates()

Returns an Array of tag-candidates order by priority. Use Locale.candidates instead of this method.

charset=(val)

Set the charset.

modifier=(val)

Set the modifier as a String

to_s()

Returns the language tag.

      <language>_<COUNTRY>.<CHARSET>@<MODIFIER>
      (e.g.) "ja_JP.EUC-JP@Modifier"

[Validate]